POST/shorts.v1alpha1.NewsService/GetRelatedNews

GetRelatedNews

Get news semantically related to a stock (or to a specific article)

Parameters

Connect-Protocol-VersionheaderRequired
number [1]

Define the version of the Connect protocol

Connect-Timeout-Msheader
number

Define the timeout, in ms

Request Body

application/json
object

Request for GetRelatedNews RPC

articleIdstring

Optional anchor article id; if empty, uses the stock's latest article (proto string)

limitinteger <int32>

Max related articles to return (default 6) (proto int32)

stockCodestring

ASX stock code (e.g., "BHP") (proto string)

Responses

200Success
application/json
object

Response for GetRelatedNews RPC

articlesarray

ordered nearest-first by semantic similarity (proto shorts.v1alpha1.NewsArticle)

Array Items:
defaultError
application/json
object

Error type returned by Connect: https://connectrpc.com/docs/go/errors/#http-representation

codestring [canceled, unknown, invalid_argument, deadline_exceeded, not_found, already_exists, permission_denied, resource_exhausted, failed_precondition, aborted, out_of_range, unimplemented, internal, unavailable, data_loss, unauthenticated]

The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].

detailsarray

A list of messages that carry the error details. There is no limit on the number of messages.

Array Items:
messagestring

A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.

curl -X POST "https://api.shorted.com.au/shorts.v1alpha1.NewsService/GetRelatedNews" \
  -H "Content-Type: application/json" \
  -d '{
  "articleId": "string",
  "limit": 0,
  "stockCode": "string"
}'